<?xml version="1.0" encoding="UTF-8"?>

<?import co.simplon.promo27.component.ContextMenu?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.Button?>
<?import javafx.geometry.Insets?>

<ScrollPane fitToWidth="true" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" 
fx:controller="co.simplon.promo27.controller.PrimaryController"
>
   <VBox>
      <HBox>
         <Button text="New File" onAction="#newFileAction" />
         <Button text="New Folder"  onAction="#newFolderAction" />
         <Button text="Back" onAction="#Backaction"/>
      </HBox>
      <ContextMenu fx:id="contextMenu" onAction="#updateDisplay" />
      <GridPane alignment="CENTER" hgap="5" vgap="5" fx:id="container">
         <padding>
            <Insets bottom="20.0" left="20.0" right="20.0" top="20.0" />
         </padding>
      </GridPane>
   </VBox>
</ScrollPane>
